//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_sedes(){

var parametros = {"accion":'sedes'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        
                        $("#sedes").html(response);
           }
        });
        
}

//-------------------------------------
function limpiar(){
document.getElementById("alumnos").innerHTML="";
}



function mostrar_grados(){

var s=document.getElementById('sedes').value

var parametros = {"accion":'grados',"sede":s};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var s=document.getElementById('sedes').value
var g=document.getElementById('grados').value

var parametros = {"accion":'grupos',"sede":s,"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);
           }
        });

}
//-------------------------------------

function mostrar_listado_alumnos(){

var g=document.getElementById('grados').value
var c=document.getElementById('grupos').value


var parametros = {"accion":'listado_alumnos',"grado":g,"grupo":c};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#alumnos").html(response);
           }
        });

}

//-------------------------------------

function actualizar(codigo){

var a="PA_"+codigo;
var b="SA_"+codigo;
var c="PN_"+codigo;
var d="SN_"+codigo;

var pa=document.getElementById(a).value;
var sa=document.getElementById(b).value;
var pn=document.getElementById(c).value;
var sn=document.getElementById(d).value;


    if (pa==''){
        alert("INGRESE PRIMER APELLIDO");
        exit;
    }

    if (sa==''){
        alert("INGRESE SEGUNDO APELLIDO");
        exit;
    }

    if (pn==''){
        alert("INGRESE PRIMER NOMBRE");
        exit;
    }

    if (sn==''){
        alert("INGRESE SEGUNDO NOMBRE");
        exit;
    }

var parametros = {"accion":'actualizar',"codigo":codigo,"pa":pa,"sa":sa,"pn":pn,"sn":sn};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        alert(response);
           }
        });

}

//-------------------------------------

function retornar_menu(){
   document.location.href="../menu.php";
}

//-------------------------------------

function retornar_menu_profesor(){

   var v1=parametro('id');
   document.location.href="../menu_profesor.php?id="+v1;
}